package cn.ysk.cashier.vo;

import lombok.Data;

@Data
public class TbOrderPayCountVo {
    private String icon;
    private String payType;
    //是否展示金额标识
    private String isAmount="1";
    private Object payAmount;
    private Object saveAmount;

    public TbOrderPayCountVo() {
    }

    public TbOrderPayCountVo(String payType, Object payAmount) {
        this.payType = payType;
        this.payAmount = payAmount;
        if (payAmount == null) {
            this.payAmount = 0;
        }
    }

    public TbOrderPayCountVo(String payType, Object payAmount, Object saveAmount) {
        this.payType = payType;
        this.payAmount = payAmount;
        this.saveAmount = saveAmount;
        if (payAmount == null) {
            this.payAmount = 0;
        }
        if (saveAmount == null) {
            this.saveAmount = 0;
        }
    }

    public TbOrderPayCountVo(String icon, String payType, String isAmount, Object payAmount) {
        this.icon = icon;
        this.payType = payType;
        this.isAmount = isAmount;
        this.payAmount = payAmount;
        if (payAmount == null) {
            this.payAmount = 0;
        }
    }
}
